:root {
    --green: #6aaa64;
    --darkendGreen: #538d4e;
    --yellow: #c9b458;
    --darkendYellow: #b59f3b;
    --lightGray: #d8d8d8;
    --gray: #86888a;
    --darkGray: #939598;
    --white: #fff;
    --black: #212121;
    /* Colorblind colors */
    --orange: #f5793a;
    --blue: #85c0f9;
    font-family: 'Clear Sans', 'Helvetica Neue', Arial, sans-serif;
    font-size: 16px;
    --header-height: 50px;
}
/* Light theme colors */
:root {
    --color-tone-1: #1a1a1b;
    --color-tone-2: #787c7e;
    --color-tone-3: #878a8c;
    --color-tone-4: #d3d6da;
    --color-tone-5: #edeff1;
    --color-tone-6: #f6f7f8;
    --color-tone-7: #ffffff;
    --opacity-50: rgba(255, 255, 255, 0.5);
    --game-max-width: 500px;
}
/* Dark Theme Colors */
.dark-mode {
    --color-tone-1: #d7dadc;
    --color-tone-2: #818384;
    --color-tone-3: #565758;
    --color-tone-4: #3a3a3c;
    --color-tone-5: #272729;
    --color-tone-6: #1a1a1b;
    --color-tone-7: #121213;
    --opacity-50: rgba(0, 0, 0, 0.5);
}
/* Constant colors and colors derived from theme */
:root, .dark-mode {
    --color-background: var(--color-tone-7);
}
:root {
    --color-present: var(--yellow);
    --color-correct: var(--green);
    --color-absent: var(--color-tone-2);
    --tile-text-color: var(--color-tone-7);
    --key-text-color: var(--color-tone-1);
    --key-evaluated-text-color: var(--color-tone-7);
    --key-bg: var(--color-tone-4);
    --key-bg-present: var(--color-present);
    --key-bg-correct: var(--color-correct);
    --key-bg-absent: var(--color-absent);
    --modal-content-bg: var(--color-tone-7);
}
.dark-mode {
    --color-present: var(--darkendYellow);
    --color-correct: var(--darkendGreen);
    --color-absent: var(--color-tone-4);
    --tile-text-color: var(--color-tone-1);
    --key-text-color: var(--color-tone-1);
    --key-evaluated-text-color: var(--color-tone-1);
    --key-bg: var(--color-tone-2);
    --key-bg-present: var(--color-present);
    --key-bg-correct: var(--color-correct);
    --key-bg-absent: var(--color-absent);
    --modal-content-bg: var(--color-tone-7);
}
.colorblind {
    --color-correct: var(--blue);
    --color-present: var(--orange);
    --tile-text-color: var(--white);
    --key-bg-present: var(--color-present);
    --key-bg-correct: var(--color-correct);
    --key-bg-absent: var(--color-absent);
}
.fullwidth {
    --game-max-width: 100vw;
}
.largewidth {
    --game-max-width: 1920px;
}
html, body {
    min-height: 100vh !important;
}
body {
    background-color: var(--color-background);
    color: var(--color-tone-1);
    overflow-y: scroll;
}
body.fullwidth {
    width: 100vw;
    max-width: 100vw;
    margin: 0;
}
#content {
    width: 100%;
    max-width: var(--game-max-width);
    margin: 0 auto;
    height: 100%;
    position: relative;
/*     overflow: auto; */
/*     max-height: 100vh; */
}
.fullwidth #content, .largewidth #content {
    padding: 0;
}
#game {
    display: flex;
    flex-direction: column;
/*     height: 100%; */
/*     min-height: 100vh; */
}
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: var(--header-height);
    color: var(--color-tone-1);
    border-bottom: 1px solid var(--color-tone-4);
}
header .title {
    font-weight: 700;
    font-size: 36px;
    letter-spacing: 0.2rem;
    text-transform: uppercase;
    text-align: center;
    position: absolute;
    left: 0;
    right: 0;
    pointer-events: none;
}
.icon-menu {
    display: flex;
}
@media (max-width: 360px) {
    header .title {
        font-size: 22px;
        letter-spacing: 0.1rem;
    }
}
#board-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
    overflow: hidden;
}
#board {
    display: grid;
    grid-template-rows: repeat(6, 1fr);
    grid-gap: 5px;
    padding:10px;
    box-sizing: border-box;
    width: 100%;
}
.icon {
    background: none;
    border: none;
    cursor: pointer;
    padding: 0 4px;
}
.row {
    display: flex;
    gap: 5px;

}
.tile {
    width: 100%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    line-height: 2rem;
    font-weight: bold;
    vertical-align: middle;
    box-sizing: border-box;
    text-transform: uppercase;
    user-select: none;
    aspect-ratio: 1;
    background-color: var(--color-tone-7);
}
.tile[data-state="empty"] {
    border: 2px solid var(--color-tone-4);
}
.tile[data-selected="true"] {
    animation-name: Select;
    animation-duration: 100ms;
    background-color: var(--key-bg);
    border: 2px solid var(--color-tone-3);
    color: var(--color-tone-1);
}
.tile[data-state='tbd'] {
    border: 2px solid var(--color-tone-3);
    color: var(--color-tone-1);
}
.tile[data-state='correct'] {
    background-color: var(--color-correct);
}
.tile[data-state='present'] {
    background-color: var(--color-present);
}
.tile[data-state='absent'] {
    background-color: var(--color-absent);
}

.tile[data-animation='pop'] {
    animation-name: PopIn;
    animation-duration: 100ms;
}
@keyframes PopIn {
    from {
        transform: scale(0.8);
        opacity: 0;
    }

    40% {
        transform: scale(1.1);
        opacity: 1;
    }
}
@keyframes Select {
    from {
        transform: scale(1.1);
        opacity: 0;
    }

    40% {
        transform: scale(0.9);
        opacity: 1;
    }
}
@keyframes Flip {
    0% {
        transform: rotateX(0);
    }
    50% {
        transform: rotateX(-90deg);
    }
    100% {
        transform: rotateX(0);
    }
}
#keyboard {
    margin: 0 0 3em;
    user-select: none;
    display: flex;
    flex-flow: column;
    gap: 12px;
    max-width: 500px;
    margin: 0 auto;
}
.button, .inline-button {
    font-family: inherit;
    font-weight: bold;
    border: 0;
    padding: 0;
    border-radius: 4px;
    cursor: pointer;
    user-select: none;
    background-color: var(--key-bg);
    color: var(--key-text-color);
    flex: 1;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
    -webkit-tap-highlight-color: rgba(0,0,0,0.3);
}
.button {
    display: flex;
    margin: 0 6px 0 0;
    min-height: 58px;
}
.inline-button {
    display: inline-flex;
    padding: 1ex;
}
.row img {
    max-width: 100%;
}
.button[data-state="present"] {
    background-color: var(--key-bg-present);
    color: var(--key-evaluated-text-color);
}
.button[data-state="absent"] {
    background-color: var(--key-bg-absent);
    color: var(--key-evaluated-text-color);
}
.button[data-state="correct"] {
    background-color: var(--key-bg-correct);
    color: var(--key-evaluated-text-color);
}
h1 {
    font-weight: 700;
    font-size: 16px;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    text-align: center;
}
.instructions {
    font-size: 14px;
    color: var(--color-tone-1);
}
.examples {
    border-bottom: 1px solid var(--color-tone-4);
    border-top: 1px solid var(--color-tone-4);
}
.page {
    display: none;
    position: absolute;
    top: 0;
    background-color: var(--color-background);
    height: 100%;
    width: 100%;
    max-width: var(--game-max-width);
}
.page.open {
    display: block;
    animation: PageOpen 100ms linear;
}
.page.close {
    display: block;
    animation: PageClose 100ms linear;
    animation-fill-mode: both;
}
@keyframes PageOpen {
    0% {
        transform: translateY(30px);
        opacity: 0;
    }
    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}
@keyframes PageClose {
    0% {
        transform: translateY(0px);
        opacity: 1;
    }
    100% {
        transform: translateY(30px);
        opacity: 0;
    }
}
.setting {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid var(--color-tone-4);
    padding: 16px 0;
}
.title {
    font-size: 18px;
}
.description {
    font-size: 12px;
    color: var(--color-tone-2);
}
#stats-preview {
    margin: 1em;
}
.button-share {
    background-color: var(--key-bg-correct);
}
.button-newgame {
    background-color: var(--orange);
}
.large-button {
    color: var(--key-evaluated-text-color);
    font-family: inherit;
    font-weight: bold;
    border-radius: 4px;
    cursor: pointer;
    border: none;
    user-select: none;
    display: flex;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
    -webkit-tap-highlight-color: rgba(0,0,0,0.3);
    width: 40%;
    font-size: 20px;
    height: 52px;
    -webkit-filter: brightness(100%);
    margin: 0 auto;
}
.large-button i {
    margin-left: 1ex;
}
@keyframes Jump {
    0% {
        transform: translateY(0px);
        animation-timing-function: ease-out;
    }
    25% {
        transform: translateY(-30px);
        animation-timing-function: ease-in-out;
    }
    75% {
        transform: translateY(30px);
        animation-timing-function: ease-in-out;
    }
    100% {
        transform: translateY(0px);
        animation-timing-function: ease-in;
    }
}
#toaster {
    position: absolute;
    top: 10%;
    left: 50%;
    transform: translate(-50%, 0);
    pointer-events: none;
    width: fit-content;
    z-index: 4000;
}
.toast {
    position: relative;
    margin: 16px;
    background-color: var(--color-tone-1);
    color: var(--color-tone-7);
    padding: 16px;
    border: none;
    border-radius: 4px;
    opacity: 0;
    transition: opacity 300ms cubic-bezier(0.645, 0.045, 0.355, 1);
    font-weight: 700;
}
